sobki_background_image.media_mapping:
  type: config_object
  label: 'Media mapping'
  mapping:
    media_bundle_mapping:
      type: sequence
      label: 'Media bundle mapping'
      sequence:
        type: string
        label: 'The selected image field for this media type'

sobki_background_image_settings:
  type: mapping
  label: 'Sobki background image form element settings'
  mapping:
    media:
      type: string
      label: 'Background image media UUID'
    image_style:
      type: string
      label: 'Image style'
    position_x:
      type: string
      label: 'Horizontal position'
    position_y:
      type: string
      label: 'Vertical position'
    attachment:
      type: string
      label: 'Attachment'
    repeat:
      type: string
      label: 'Repeat'
    size:
      type: string
      label: 'Size'

block.block.*.third_party.sobki_background_image:
  type: sobki_background_image_settings
  label: 'Sobki background image third party settings'

ui_patterns_source.sobki_background_image_attributes:
  type: mapping
  label: 'Source: Background image attributes'
  mapping:
    sobki_background_image:
      type: sobki_background_image_settings
      label: 'Source: Sobki Background Image attributes'
